package floor

import (
	"fmt"
	"log"
	"os"
	"strconv"
)

/// EXTENSION 2 : Enregistrement d'un terrain aléatoire ///

// CreateFileFromFloor enregistre le terrain créé aléatoirement
// (cela nécessite donc l'extension 1) dans un fichier dont le nom
// est donné en paramètre. Si un tel fichier existe déjà dans le dossier
// floor-files, le fichier prééxistant est écrasé
func (f *Floor) CreateFileFromFloor(nom string) {

	tableau := f.aleaContent
	nom_chaine := "../floor-files/"
	nom_chaine += nom
	var myFile *os.File
	var err error

	myFile, err = os.Create(nom_chaine)
	if err != nil {
		log.Fatal(err)
	}

	for i := 0; i < len(tableau); i++ {
		chaine_caractere := ""
		for j := 0; j < len(tableau[0]); j++ {
			caractere := strconv.Itoa(tableau[i][j])
			chaine_caractere += caractere
		}

		_, err = fmt.Fprintln(myFile, chaine_caractere)
		if err != nil {
			log.Fatal(err)
		}
	}
}
